# face.c File Reference

## Functions

MFace * | mface ()
| Create a new face.
MFace * | mface_copy (MFace *face)
| Make a copy of a face.
int | mface_equal (MFace *face1, MFace *face2)
| Compare faces.
MFace * | mface_merge (MFace *dst, MFace *src)
| Merge faces.
MFace * | mface_from_font (MFont *font)
| Make a face from a font.
void * | mface_get_prop (MFace *face, MSymbol key)
| Get the value of a face property.
MFaceHookFunc | mface_get_hook (MFace *face)
| Get the hook function of a face.
int | mface_put_prop (MFace *face, MSymbol key, void *val)
| Set a value of a face property.
int | mface_put_hook (MFace *face, MFaceHookFunc func)
| Set a hook function to a face.
void | mface_update (MFrame *frame, MFace *face)
| Update a face.
MFace * | mdebug_dump_face (MFace *face, int indent)
| Dump a face.

## Variables

Variables: Keys of face property
MSymbol | Mforeground
| Key of a face property specifying foreground color.
MSymbol | Mbackground
| Key of a face property specifying background color.
MSymbol | Mvideomode
| Key of a face property specifying video mode.
MSymbol | Mratio
| Key of a face property specifying font size ratio.
MSymbol | Mhline
| Key of a face property specifying horizontal line.
MSymbol | Mbox
| Key of a face property specifying box.
MSymbol | Mfontset
| Key of a face property specifying fontset.
MSymbol | Mhook_func
| Key of a face property specifying hook.
MSymbol | Mhook_arg
| Key of a face property specifying argument of hook.
Variables: Possible values of #Mvideomode property of face
See the documentation of the variable Mvideomode.
MSymbol | Mnormal
MSymbol | Mreverse
Variables: Predefined faces
MFace * | mface_normal_video
| Normal video face.
MFace * | mface_reverse_video
| Reverse video face.
MFace * | mface_underline
| Underline face.
MFace * | mface_medium
| Medium face.
MFace * | mface_bold
| Bold face.
MFace * | mface_italic
| Italic face.
MFace * | mface_bold_italic
| Bold italic face.
MFace * | mface_xx_small
| Smallest face.
MFace * | mface_x_small
| Smaller face.
MFace * | mface_small
| Small face.
MFace * | mface_normalsize
| Normalsize face.
MFace * | mface_large
| Large face.
MFace * | mface_x_large
| Larger face.
MFace * | mface_xx_large
| Largest face.
MFace * | mface_black
| Black face.
MFace * | mface_white
| White face.
MFace * | mface_red
| Red face.
MFace * | mface_green
| Green face.
MFace * | mface_blue
| Blue face.
MFace * | mface_cyan
| Cyan face.
MFace * | mface_yellow
| yellow face.
MFace * | mface_magenta
| Magenta face.
Variables: The other symbols for face handling.
MSymbol | Mface
| Key of a text property specifying a face.